=== src/backend/access/Makefile ===
#
# Makefile for the access methods module
#
# src/backend/access/Makefile
#

subdir = src/backend/access
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

SUBDIRS	    = common gist hash heap index nbtree transam gin spgist

include $(top_srcdir)/src/backend/common.mk
